from storage import Profile
from handlers.send_button import show_request_msg
from bot.api import get_member
import logging
logger = logging.getLogger(__name__)
logging.basicConfig(level=logging.INFO)


async def handle_command_ask(msg):
    logger.info("handling request resend")
    _cmd, chat_id, member_id = msg["text"].split(" ")
    chat_id = chat_id.replace("-", "-100")
    r = await get_member(chat_id, member_id)
    logger.debug(r)
    m = {}
    if "result" in r:
        m["from"] = r["result"]["user"]
        m["chat"] = {"id": str(chat_id)}
        await show_request_msg(m)
    elif "error_code" in r:
        logger.error(r)
