from utils.graph import generate_chart
from bot.api import send_document
from storage import storage, scan
import json

import logging
logger = logging.getLogger(__name__)
logging.basicConfig(level=logging.INFO)

async def handle_command_graph(msg):
    _usr_ids, members = scan(match="usr-*", count=100)
    data = generate_chart(members)
    if data:
        r = await send_document(msg["chat"]["id"], data, "chart.svg")
        logger.debug(r)
